summaryrefslogtreecommitdiff
path: root/t/test-lib.sh
diff options
context:
space:
mode:
authorLibravatar Johannes Schindelin <johannes.schindelin@gmx.de>2019-01-21 07:12:19 -0800
committerLibravatar Junio C Hamano <gitster@pobox.com>2019-01-22 12:35:59 -0800
commitd609615f4897bf8c555c105da2057fbeb6ed881f (patch)
tree656f69b11891ff5129d510d0ead2da3ad52c4ea1 /t/test-lib.sh
parenttests: explicitly use `git.exe` on Windows (diff)
downloadtgif-d609615f4897bf8c555c105da2057fbeb6ed881f.tar.xz
tests: explicitly use `test-tool.exe` on Windows
In 8abfdf44c882 (tests: explicitly use `git.exe` on Windows, 2018-11-14), we made sure to use the `.exe` file extension when using an absolute path to `git.exe`, to avoid getting confused with a file or directory in the same place that lacks said file extension. For the same reason, we need to handle test-tool.exe the same way. Signed-off-by: Johannes Schindelin <johannes.schindelin@gmx.de> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/test-lib.sh')
-rw-r--r--t/test-lib.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index e12addc324..6bc0aa57b1 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -1007,7 +1007,7 @@ test -d "$GIT_BUILD_DIR"/templates/blt || {
error "You haven't built things yet, have you?"
}
-if ! test -x "$GIT_BUILD_DIR"/t/helper/test-tool
+if ! test -x "$GIT_BUILD_DIR"/t/helper/test-tool$X
then
echo >&2 'You need to build test-tool:'
echo >&2 'Run "make t/helper/test-tool" in the source (toplevel) directory'